Skip to main content
Help us improve Python packaging – donate today!

A Python wrapper for EasilyDo's Sift API

Project Description

A Python wrapper around Sift API. Currently supports Python 2.7.11 and Python 3.5.1.

Installation

From the repository

python setup.py install

From pip

pip install siftapi

Usage

import siftapi

sift = siftapi.Sift(API_KEY, API_SECRET)
sift.get_user(<username>)

Testing

python setup.py test

Test cases are written in tests folder.

Files required for test cases:

  1. sensitive.py - File containing your API_SECRET and API_KEY. An example file, sensitive.py.example can be found in the directory
  2. test.eml - A test .eml file to be sent for parsing

Documentation

Documentation for the SDK can be found here.

Changelog

Changelog can be found here.

Release history Release notifications

This version
History Node

1.0.6

History Node

1.0.5

History Node

1.0.4

History Node

1.0.3

History Node

1.0.2

History Node

1.0.1

History Node

1.0.0

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
siftapi-1.0.6-py2-none-any.whl (5.8 kB) Copy SHA256 hash SHA256 Wheel 2.7 Oct 12, 2016
siftapi-1.0.6.tar.gz (3.9 kB) Copy SHA256 hash SHA256 Source None Oct 12, 2016

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging CloudAMQP CloudAMQP RabbitMQ AWS AWS Cloud computing Fastly Fastly CDN DigiCert DigiCert EV certificate StatusPage StatusPage Status page